package de.sample.onlineschuhdemo.externalaccess;

import org.camunda.bpm.engine.delegate.DelegateExecution;
import org.camunda.bpm.engine.delegate.JavaDelegate;

public class WarennummerErmittelnDelegate implements JavaDelegate {

	private IsLagerService lagerService;
	
	@Override
	public void execute(DelegateExecution execution) throws Exception {
		String newProductId = lagerService.getNewProduct();
		execution.setVariable("warennummer", newProductId);
	}
	
	public void setLagerService(IsLagerService lagerService) {
		this.lagerService = lagerService;
	}
}
